Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jan 2022 05:55:59 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello,

Kindly please follow up my order number 9522772414. They attempt to deliver twice my order but then I will receive a message in the end of the day that it was unable to deliver beacuse the Customer is not responsive which I didn't receive any call and I gave my correct mobile number. 

Please mail me in this email below.
[email-masked]

Thank you and Best Regards. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3770185